%global apiver 2.91

%global fribidi_version 1.0.0
%global glib2_version 2.52.0
%global gnutls_version 3.2.7
%global gtk3_version 3.24.22
%global gtk4_version 4.0.1
%global icu_uc_version 4.8
%global libsystemd_version 220
%global pango_version 1.22.0
%global pcre2_version 10.21

Name:           vte291
Version:        0.72.2
Release:        2
Summary:        Virtual terminal widget
License:        GPL-3.0-or-later AND LGPL-3.0-or-later and MIT-open-group AND CC-BY-4.0
URL:            https://wiki.gnome.org/Apps/Terminal/VTE
Source0:        https://download.gnome.org/sources/vte/0.72/vte-%{version}.tar.xz
Patch0:         vte291-cntnr-precmd-preexec-scroll.patch
Patch1:         0001-fix-CVE-2024-37535.patch

BuildRequires:  gcc-c++ gettext gi-docgen gobject-introspection-devel gperf meson systemd vala
BuildRequires:  pkgconfig(fribidi) >= %{fribidi_version}
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gnutls) >= %{gnutls_version}
BuildRequires:  pkgconfig(gobject-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(icu-uc) >= %{icu_uc_version}
BuildRequires:  pkgconfig(libpcre2-8) >= %{pcre2_version}
BuildRequires:  pkgconfig(libsystemd) >= %{libsystemd_version}
BuildRequires:  pkgconfig(pango) >= %{pango_version}
BuildRequires:  pkgconfig(zlib)

Requires:       fribidi >= %{fribidi_version}
Requires:       glib2 >= %{glib2_version}
Requires:       gnutls%{?_isa} >= %{gnutls_version}
Requires:       gtk3%{?_isa} >= %{gtk3_version}
Requires:       libicu%{?_isa} >= %{icu_uc_version}
Requires:       pango >= %{pango_version}
Requires:       pcre2%{?_isa} >= %{pcre2_version}
Requires:       systemd-libs >= %{libsystemd_version}
Requires:       vte-profile

Conflicts:      gnome-terminal < 3.20.1-2 vte3 < 0.36.1-3
Provides:       vte-profile = %{version}-%{release}
Obsoletes:      vte-profile < %{version}-%{release}
Provides:       vte291-gtk4%{?_isa} = %{version}-%{release}
Provides:       vte291-gtk4 = %{version}-%{release}

%description
VTE provides a virtual terminal widget for GTK applications.VTE
is mainly used in gnome-terminal, but can also be used to embed a
console/terminal in games, editors, IDEs, etc.

%package        devel
Summary:        Development files for %{name}
License:        GPLv3+ and LGPLv3+
Requires:       %{name} = %{version}-%{release}
Provides:       vte291-gtk4-devel%{?_isa} = %{version}-%{release}
Provides:       vte291-gtk4-devel = %{version}-%{release}

%description    devel
The package contains libraries and header files for developing applications that use vte291.

%package_help

%prep
%autosetup -n vte-%{version} -p1
%if 0%{?flatpak}
# Install user units where systemd macros expect them
sed -i -e "/^vte_systemduserunitdir =/s|vte_prefix|'/usr'|" meson.build
%endif

%build
%meson --buildtype=plain -Ddocs=true -Dgtk3=true -Dgtk4=true
%meson_build

%install
%meson_install

%find_lang vte-%{apiver}

%files -f vte-%{apiver}.lang
%license COPYING.LGPL3
%license COPYING.XTERM
%{_libdir}/libvte-%{apiver}.so.0*
%{_libdir}/libvte-%{apiver}-gtk4.so.0*
%{_libdir}/girepository-1.0/
%{_libexecdir}/vte-urlencode-cwd
%{_sysconfdir}/profile.d/vte.csh
%{_sysconfdir}/profile.d/vte.sh
%{_userunitdir}/vte-spawn-.scope.d

%files devel
%license COPYING.GPL3
%{_bindir}/vte-%{apiver}
%{_bindir}/vte-%{apiver}-gtk4
%{_includedir}/vte-%{apiver}/
%{_includedir}/vte-%{apiver}-gtk4/
%{_libdir}/libvte-%{apiver}.so
%{_libdir}/libvte-%{apiver}-gtk4.so
%{_libdir}/pkgconfig/vte-%{apiver}.pc
%{_libdir}/pkgconfig/vte-%{apiver}-gtk4.pc
%{_datadir}/gir-1.0/
%{_datadir}/glade/
%{_datadir}/vala/

%files help
%doc README.md
%doc %{_datadir}/doc/vte-2.91/
%doc %{_datadir}/doc/vte-2.91-gtk4/

%changelog
* Tue Jun 11 2024 kywqs <weiqingsong@kylinos.cn> - 0.72.2-2
- fix CVE-2024-37535

* Mon Nov 20 2023 lwg <liweiganga@uniontech.com> - 0.72.2-1
- update to version 0.72.2

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 0.70.2-1
- Upgrade to 0.70.2

* Wed Apr 20 2022 dillon chen <dillon.chen@gmail.com> - 0.68.0-1
- Update to 0.68.0

* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 0.62.3-1
- Upgrade to 0.62.3
- Update Version, uncorrect date

* Tue Dec 22 2020 huanghaitao <huanghaitao8@huawei.com> - 0.62.1-1
- Updata to 0.62.1 

* Fri Jun 19 2020 wangyue <wangyue92@huawei.com> - 0.54.1-5
- DESC:Make binding tests compile without warning

* Mon Oct 21 2019 Lijin Yang <yanglijin@huawei.com> - 0.54.1-4
- Package init
